#uses "fwUnitTestComponentAsserts.ctl"
#uses "unGenericDpFunctions.ctl"

const string TEST_DEVICE_NAME_1 = "test-unProject-name:un-Project-testApplication1-Instance-number";
const string TEST_DEVICE_NAME_2 = "unProject-name:un-Project-testApplication2-Instance-number";
const string TEST_DEVICE_NAME_3 = "name:un-Project-testApplication3-Instance-number";
const string TEST_DEVICE_NAME_4 = "test-unProject-name-_:un-Project-testApplication4-Instance-number";
const string TEST_DEVICE_NAME_5 = "un-Project-testApplication5-Instance-number";

const string TEST_DEVICE_NAME_6 = "Project-testApplication6-Instance-number";
const string TEST_DEVICE_NAME_7 = "";

//---------------------------------------------------------------------
void test_unGenerciDpFunctions_getApplication(){
	string applicationName_1 = unGenericDpFunctions_getApplication(TEST_DEVICE_NAME_1);
	assertEqual(applicationName_1, "testApplication1", "Error obtaining the 'testApplication1' name from the device.");
	
	string applicationName_2 = unGenericDpFunctions_getApplication(TEST_DEVICE_NAME_2);
	assertEqual(applicationName_2, "testApplication2", "Error obtaining the 'testApplication2' name from the device.");
	
	string applicationName_3 = unGenericDpFunctions_getApplication(TEST_DEVICE_NAME_3);
	assertEqual(applicationName_3, "testApplication3", "Error obtaining the 'testApplication3' name from the device.");
	
	string applicationName_4 = unGenericDpFunctions_getApplication(TEST_DEVICE_NAME_4);
	assertEqual(applicationName_4, "testApplication4", "Error obtaining the 'testApplication4' name from the device.");
	
	string applicationName_5 = unGenericDpFunctions_getApplication(TEST_DEVICE_NAME_5);
	assertEqual(applicationName_5, "testApplication5", "Error obtaining the 'testApplication5' name from the device.");
	
	string applicationName_6 = unGenericDpFunctions_getApplication(TEST_DEVICE_NAME_6);
	assertEqual(applicationName_6, "", "The application name should have been blank.");
	
	string applicationName_7 = unGenericDpFunctions_getApplication(TEST_DEVICE_NAME_7);
	assertEqual(applicationName_7, "", "The application name should have been blank.");
}
