// Periphery address constants
const unsigned UN_ADDRESS_PARAMETER_FIELD_NUMBER = 5;		// Number of parameters (not in use)
const unsigned UN_ADDRESS_PARAMETER_FIELD_MODE = 1;		// Mode
const unsigned UN_ADDRESS_PARAMETER_FIELD_PLCTYPE = 2;		// PLC type ie "QUANTUM" or "PREMIUM"
const unsigned UN_ADDRESS_PARAMETER_FIELD_PLCNUMBER = 3;	// PLC number
const unsigned UN_ADDRESS_PARAMETER_FIELD_EVENT = 4;		// Is event
const unsigned UN_ADDRESS_PARAMETER_FIELD_ADDRESS = 5;		// Address in PLC
const unsigned UN_ADDRESS_PARAMETER_FIELD_EVENT16 = 6;		// Type of event address
const unsigned UN_ADDRESS_PARAMETER_FIELD_POLLTYPE = 7; 	// Polling type

const char UN_PREMIUM_INPUT_LETTER_EVENT = "U";
const char UN_PREMIUM_INPUT_LETTER_MISC = "U";
const char UN_QUANTUM_INPUT_LETTER_EVENT = "U";
const char UN_QUANTUM_INPUT_LETTER_MISC = "M";

const int UN_PREMIUM_INPUT_NB_EVENT = 18;
const int UN_PREMIUM_INPUT_NB_MISC = 1;
const int UN_QUANTUM_INPUT_NB_EVENT = 18;
const int UN_QUANTUM_INPUT_NB_MISC = 16;

const int UN_PREMIUM_QUANTUM_OUTPUT_NB_ALL = 16;
const char UN_PREMIUM_QUANTUM_OUTPUT_LETTER_ALL = "M";
